import 'package:desktop_ui/desktop_ui.dart';
import 'package:example/components/nav_bar.dart';
import 'package:example/content_container.dart';
import 'package:flutter/material.dart';

class MulitDemo extends StatelessWidget {
  const MulitDemo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: NavBar(
        title: '乱七八糟测试',
        isHaveBack: true,
      ),
      body: ListView(
        children: [
          ContentContainer(
            title: '头像-Avatar',
            child: Column(
              children: [
                EasyButton(
                  text: '打开弹框',
                  onClick: () {
                    showModalBottomSheet(
                        context: context,
                        builder: (context) {
                          return Text('内容');
                        });
                  },
                )
              ],
            ),
          ),
        ],
      ),
    );
  }
}
