/// 按钮类型枚举 - button type enum
enum EasyButtonType {
  /// 主题样式
  primary,

  /// 信息样式
  info,

  /// 警告样式
  warn,

  /// 成功样式
  success,

  /// 错误样式
  error,

  /// 文本样式
  text,
}

/// 按钮大小，默认：32
enum EasyButtonSize {
  /// 大按钮，高度为：40
  larger,

  /// 中按钮，高度为：36
  middle,

  /// 小按钮，高度为：28
  small,
}

/// 按钮形状
enum EasyButtonShape {
  /// 圆形
  circle,

  /// 圆角形
  round,
}
