/// 方向枚举，用于存在水平和垂直的组件
enum EasyDirectionType {
  /// 水平
  horizontal,

  /// 垂直
  vertical,
}

/// 主题相关的类型枚举
enum EasyThemeType {
  /// 主题色
  primary,

  /// 信息
  info,

  /// 警告
  warn,

  /// 成功
  success,

  /// 错误
  error,
}

/// 文本等级
enum EasyTextLevel {
  /// 标题 H1
  h1,

  /// 标题 H2
  h2,

  /// 标题 H3
  h3,

  /// 标题 H4
  h4,

  /// 标题 H5
  h5,

  /// 内容等级
  content,

  /// 段落
  paragraph,
}
