// 公共方法
import 'package:desktop_ui/constants.dart';
import 'package:desktop_ui/enums/common.dart';
import 'package:flutter/material.dart';

/// 通过类型返回对应的颜色
Color getColorByThemeType(EasyThemeType? type) {
  if (type == null) return iBlack;
  Color color;
  switch (type) {
    case EasyThemeType.primary:
      color = iPrimary;
      break;
    case EasyThemeType.success:
      color = iSuccess;
      break;
    case EasyThemeType.info:
      color = iInfo;
      break;
    case EasyThemeType.warn:
      color = iWarn;
      break;
    case EasyThemeType.error:
      color = iError;
      break;
  }
  return color;
}
